package com.ltgk.common.enums;


import lombok.Getter;

/**
 * 事故处理流程执行状态枚举类
 *
 * @author Qi ChengBin
 * @date 2025/01/19 13:54:12
 */
@Getter
public enum EmAccidentFlowExecuteStatusEnums {
    UN_EXECUTED(0, "未执行"),
    EXECUTION(1, "执行中"),
    EXECUTION_FINISH(2, "执行完毕");

    private final Integer code;
    private final String desc;

    EmAccidentFlowExecuteStatusEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
